usrpctl(1)

NAME
usrpctl - USRP Hardware Driver Peripheral Configuration Tool

DESCRIPTION
Report detailed information on UHD-supported Software Radio Peripherals attached by USB, network, or embedded configuration. Allows update and configuration of attached devices.

The UHD package is the universal hardware driver for Ettus Research products. The goal is to provide a host driver and API for current and future Ettus Research products. Users will be able to use the UHD driver standalone or with 3rd party applications.

Details include unit names, revision numbers, and available sensors on all attached USRP motherboards and daughterboards.

SYNOPSIS
usrpctl [ID] COMMAND [OPTIONS]

ID
ID is the optional device argument. It is used to define a set of USRP devices that COMMAND should be applied to. If ID is omitted COMMAND is applied to all reachable devices.

usrpctl understands the device args argument used by other UHD tools like uhd_find_devices.

COMMAND
Is the action the tool is to take. Every command can be either applied to a single device or a group of devices. Commands that run on a group of devices repeat the command for every device.

- Single device commands:
    - config: Read/write configuration variables (e.g., IP address)
    - probe: reads extended information about the USRP - Multi device commands:
    - update: Update binaries (e.g., FPGA image)
    - reset: Reset the specified subcomponent(s) of the USRP
    - find: finds all available USRPs in this network

OPTIONS
The options are not always mandatory. It depends on the given COMMAND.

find command

The find command takes no further options. If ID is not given it scans the system for available, supported devices and prints a list of discovered devices. The print out is compatible to uhd_find_devices. ID can be used to narrow down the list of discovered devices.

probe command

Print a complete property tree:
    -tree

The probe command can only be applied to a single device so make sure that
    ID identifies exactly one device. Without arguments it displays detailed information about the device such as name, serial, revision numbers, firmware version sensor information on attached motherboard and daughterboards.

reset command

Reset MPM:
    -mpm

The reset command resets specified subcomponents of a device. If ID is not
    given, it scans the system for available, supported devices and resets the specified subcomponent of all discovered devices.

EXAMPLES

usrpctl find
    find all supported devices

usrpctl type=x300,product=X310 find
    find all x310 devices

usrpctl name=my_usrp find
    find a device named my_usrp

usrpctl addr=192.168.10.2 find
    find a device with the given IP.

usrpctl addr=192.168.10.2 probe
    display device information for USRP with the given ID

usprctl name=my_usrp probe -tree
    display property tree of device with the name my_usrp

usrpctl addr=192.168.10.2 reset -mpm
    Resets MPM on the device with the given IP.

SEE ALSO
UHD documentation:
    http://files.ettus.com/manual/

COPYRIGHT
Copyright (c) 2022 Ettus Research, A National Instruments Brand

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.